var options = {
  series: [
    {
      name: 'Cash Flow',
      data: [
        1.45, 5.42, 5.9, -0.42, -12.6, -18.1, -18.2, -14.16, -11.1, -6.09, 0.34,
        3.88, 13.07, 5.8, 2, 7.37, 8.1, 13.57, 15.75, 17.1, 19.8, -27.03, -54.4,
        -47.2, -43.3, -18.6, -48.6, -41.1, -39.6, -37.6, -29.4, -21.4, -2.4,
      ],
    },
  ],
  chart: {
    type: 'bar',
    height: 350,
  },
  plotOptions: {
    bar: {
      colors: {
        ranges: [
          {
            from: -100,
            to: -46,
            color: '#F15B46',
          },
          {
            from: -45,
            to: 0,
            color: '#FEB019',
          },
        ],
      },
      columnWidth: '80%',
    },
  },
  dataLabels: {
    enabled: false,
  },
  yaxis: {
    title: {
      text: 'Growth',
    },
    labels: {
      formatter: function (y) {
        return y.toFixed(0) + '%'
      },
    },
  },
  xaxis: {
    type: 'datetime',
    categories: [
      '2011-01-01',
      '2011-02-01',
      '2011-03-01',
      '2011-04-01',
      '2011-05-01',
      '2011-06-01',
      '2011-07-01',
      '2011-08-01',
      '2011-09-01',
      '2011-10-01',
      '2011-11-01',
      '2011-12-01',
      '2012-01-01',
      '2012-02-01',
      '2012-03-01',
      '2012-04-01',
      '2012-05-01',
      '2012-06-01',
      '2012-07-01',
      '2012-08-01',
      '2012-09-01',
      '2012-10-01',
      '2012-11-01',
      '2012-12-01',
      '2013-01-01',
      '2013-02-01',
      '2013-03-01',
      '2013-04-01',
      '2013-05-01',
      '2013-06-01',
      '2013-07-01',
      '2013-08-01',
      '2013-09-01',
    ],
    labels: {
      rotate: -90,
    },
  },
}

var chart = new ApexCharts(document.querySelector('#chart'), options)
chart.render()
Column with Negative Values - JavaScript Column Charts | ApexCharts.js | ApexCharts.js

Column with Negative Values in Angular

Using ApexCharts with Angular

This Column with Negative Values example wires ApexCharts into Angular through the ng-apexcharts component.

Install it with npm install ng-apexcharts apexcharts, then mount the chart with <apx-chart [series]="series" [chart]="chart"></apx-chart>.

Angular charts guide

This demo uses imperative chart updates. The generated code is a faithful Angular translation: open it in CodeSandbox to run and tweak.

import { Component, AfterViewInit, OnDestroy, ViewChild } from '@angular/core';
import {
  ChartComponent,
  ApexAxisChartSeries,
  ApexNonAxisChartSeries,
  ApexChart,
  ApexXAxis,
  ApexYAxis,
  ApexTitleSubtitle,
  ApexDataLabels,
  ApexStroke,
  ApexFill,
  ApexLegend,
  ApexTooltip,
  ApexMarkers,
  ApexPlotOptions,
  ApexResponsive,
  ApexGrid,
  ApexAnnotations,
  ApexStates,
  ApexTheme,
  NgApexchartsModule,
} from 'ng-apexcharts';

export type ChartOptions = {
  series?: ApexAxisChartSeries | ApexNonAxisChartSeries;
  chart?: ApexChart;
  xaxis?: ApexXAxis;
  yaxis?: ApexYAxis | ApexYAxis[];
  title?: ApexTitleSubtitle;
  subtitle?: ApexTitleSubtitle;
  dataLabels?: ApexDataLabels;
  stroke?: ApexStroke;
  fill?: ApexFill;
  legend?: ApexLegend;
  tooltip?: ApexTooltip;
  markers?: ApexMarkers;
  plotOptions?: ApexPlotOptions;
  responsive?: ApexResponsive[];
  grid?: ApexGrid;
  annotations?: ApexAnnotations;
  states?: ApexStates;
  theme?: ApexTheme;
  colors?: string[];
  labels?: any;
};

@Component({
  selector: 'app-chart',
  standalone: true,
  imports: [NgApexchartsModule],
  templateUrl: './chart.component.html',
})
export class AppChart implements AfterViewInit, OnDestroy {
  @ViewChild('chart') chart!: ChartComponent;
  public chartOptions: Partial<ChartOptions> = {
          series: [
            {
              name: 'Cash Flow',
              data: [
                1.45, 5.42, 5.9, -0.42, -12.6, -18.1, -18.2, -14.16, -11.1, -6.09, 0.34,
                3.88, 13.07, 5.8, 2, 7.37, 8.1, 13.57, 15.75, 17.1, 19.8, -27.03, -54.4,
                -47.2, -43.3, -18.6, -48.6, -41.1, -39.6, -37.6, -29.4, -21.4, -2.4,
              ],
            },
          ],
          chart: {
            type: 'bar',
            height: 350,
          },
          plotOptions: {
            bar: {
              colors: {
                ranges: [
                  {
                    from: -100,
                    to: -46,
                    color: '#F15B46',
                  },
                  {
                    from: -45,
                    to: 0,
                    color: '#FEB019',
                  },
                ],
              },
              columnWidth: '80%',
            },
          },
          dataLabels: {
            enabled: false,
          },
          yaxis: {
            title: {
              text: 'Growth',
            },
            labels: {
              formatter: (y) => {
                return y.toFixed(0) + '%'
              },
            },
          },
          xaxis: {
            type: 'datetime',
            categories: [
              '2011-01-01',
              '2011-02-01',
              '2011-03-01',
              '2011-04-01',
              '2011-05-01',
              '2011-06-01',
              '2011-07-01',
              '2011-08-01',
              '2011-09-01',
              '2011-10-01',
              '2011-11-01',
              '2011-12-01',
              '2012-01-01',
              '2012-02-01',
              '2012-03-01',
              '2012-04-01',
              '2012-05-01',
              '2012-06-01',
              '2012-07-01',
              '2012-08-01',
              '2012-09-01',
              '2012-10-01',
              '2012-11-01',
              '2012-12-01',
              '2013-01-01',
              '2013-02-01',
              '2013-03-01',
              '2013-04-01',
              '2013-05-01',
              '2013-06-01',
              '2013-07-01',
              '2013-08-01',
              '2013-09-01',
            ],
            labels: {
              rotate: -90,
            },
          },
        };
  ngAfterViewInit() {
    (window as any).ApexCharts.setLicense('APEX-eyJleHBpcnlEYXRlIjoiMjEyNi0wNy0wNCIsImlzc3VlRGF0ZSI6IjIwMjYtMDctMjgiLCJwbGFuIjoicHJlbWl1bSIsImRvbWFpbnMiOlsiYXBleGNoYXJ0cy5jb20iLCIxMjcuMC4wLjEiLCJsb2NhbGhvc3QiXSwic2lnIjoieVBmb1VCc0Z3TU9ZdUEyaEZkR0I2Y1FtZ0JITUtXcVdJSjB2NVRESXRZbFR3eDJMUmh6R2x0RUc3VXJ4X0s3b25ZMWRZb2Z2VGItN01ydFYyNDVyOWcifQ==');
  }

  ngOnDestroy() {
    // no cleanup needed
  }
}

import React from 'react'
import ReactApexChart from 'react-apexcharts'
import './styles.css'

const ApexChart = () => {
  const [state, setState] = React.useState({
    series: [
      {
        name: 'Cash Flow',
        data: [
          1.45, 5.42, 5.9, -0.42, -12.6, -18.1, -18.2, -14.16, -11.1, -6.09,
          0.34, 3.88, 13.07, 5.8, 2, 7.37, 8.1, 13.57, 15.75, 17.1, 19.8,
          -27.03, -54.4, -47.2, -43.3, -18.6, -48.6, -41.1, -39.6, -37.6, -29.4,
          -21.4, -2.4,
        ],
      },
    ],
    options: {
      chart: {
        type: 'bar',
        height: 350,
      },
      plotOptions: {
        bar: {
          colors: {
            ranges: [
              {
                from: -100,
                to: -46,
                color: '#F15B46',
              },
              {
                from: -45,
                to: 0,
                color: '#FEB019',
              },
            ],
          },
          columnWidth: '80%',
        },
      },
      dataLabels: {
        enabled: false,
      },
      yaxis: {
        title: {
          text: 'Growth',
        },
        labels: {
          formatter: function (y) {
            return y.toFixed(0) + '%'
          },
        },
      },
      xaxis: {
        type: 'datetime',
        categories: [
          '2011-01-01',
          '2011-02-01',
          '2011-03-01',
          '2011-04-01',
          '2011-05-01',
          '2011-06-01',
          '2011-07-01',
          '2011-08-01',
          '2011-09-01',
          '2011-10-01',
          '2011-11-01',
          '2011-12-01',
          '2012-01-01',
          '2012-02-01',
          '2012-03-01',
          '2012-04-01',
          '2012-05-01',
          '2012-06-01',
          '2012-07-01',
          '2012-08-01',
          '2012-09-01',
          '2012-10-01',
          '2012-11-01',
          '2012-12-01',
          '2013-01-01',
          '2013-02-01',
          '2013-03-01',
          '2013-04-01',
          '2013-05-01',
          '2013-06-01',
          '2013-07-01',
          '2013-08-01',
          '2013-09-01',
        ],
        labels: {
          rotate: -90,
        },
      },
    },
  })

  return (
    <div>
      <div id="chart">
        <ReactApexChart
          options={state.options}
          series={state.series}
          type="bar"
          height={350}
        />
      </div>
    </div>
  )
}

export default ApexChart
Column with Negative Values - React Column Charts | ApexCharts.js | ApexCharts.js

<template>
  <div>
    <div id="chart">
      <apexchart
        type="bar"
        height="350"
        :options="chartOptions"
        :series="series"
      ></apexchart>
    </div>
  </div>
</template>

<script>
import VueApexCharts from 'vue-apexcharts'

export default {
  components: {
    apexchart: VueApexCharts,
  },
  data: function () {
    return {
      series: [
        {
          name: 'Cash Flow',
          data: [
            1.45, 5.42, 5.9, -0.42, -12.6, -18.1, -18.2, -14.16, -11.1, -6.09,
            0.34, 3.88, 13.07, 5.8, 2, 7.37, 8.1, 13.57, 15.75, 17.1, 19.8,
            -27.03, -54.4, -47.2, -43.3, -18.6, -48.6, -41.1, -39.6, -37.6,
            -29.4, -21.4, -2.4,
          ],
        },
      ],
      chartOptions: {
        chart: {
          type: 'bar',
          height: 350,
        },
        plotOptions: {
          bar: {
            colors: {
              ranges: [
                {
                  from: -100,
                  to: -46,
                  color: '#F15B46',
                },
                {
                  from: -45,
                  to: 0,
                  color: '#FEB019',
                },
              ],
            },
            columnWidth: '80%',
          },
        },
        dataLabels: {
          enabled: false,
        },
        yaxis: {
          title: {
            text: 'Growth',
          },
          labels: {
            formatter: function (y) {
              return y.toFixed(0) + '%'
            },
          },
        },
        xaxis: {
          type: 'datetime',
          categories: [
            '2011-01-01',
            '2011-02-01',
            '2011-03-01',
            '2011-04-01',
            '2011-05-01',
            '2011-06-01',
            '2011-07-01',
            '2011-08-01',
            '2011-09-01',
            '2011-10-01',
            '2011-11-01',
            '2011-12-01',
            '2012-01-01',
            '2012-02-01',
            '2012-03-01',
            '2012-04-01',
            '2012-05-01',
            '2012-06-01',
            '2012-07-01',
            '2012-08-01',
            '2012-09-01',
            '2012-10-01',
            '2012-11-01',
            '2012-12-01',
            '2013-01-01',
            '2013-02-01',
            '2013-03-01',
            '2013-04-01',
            '2013-05-01',
            '2013-06-01',
            '2013-07-01',
            '2013-08-01',
            '2013-09-01',
          ],
          labels: {
            rotate: -90,
          },
        },
      },
    }
  },
}
</script>

<style>
#chart {
  max-width: 650px;
  margin: 35px auto;
}
</style>
Column with Negative Values - Vue Column Charts | ApexCharts.js | ApexCharts.js